Create organization
curl --request POST \
--url https://acusight.io/api/organization \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Acme Corp"
}
'import requests
url = "https://acusight.io/api/organization"
payload = { "name": "Acme Corp" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Acme Corp'})
};
fetch('https://acusight.io/api/organization', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"device_count": 12,
"id": "550e8400-e29b-41d4-a716-446655440000",
"member_count": 5,
"name": "Acme Corp"
},
"error": {
"code": "<string>",
"details": "<string>",
"message": "<string>"
},
"meta": {
"count": 123,
"limit": 123,
"offset": 123,
"total": 123
},
"success": true
}Organization
Create organization
POST
/
organization
Create organization
Authorizations
JWT access token. Paste the token only; the Bearer prefix is added automatically.
Body
application/json
Organization details
Example:
"Acme Corp"
Was this page helpful?
⌘I